#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Tracker-miners-3.0.4

- Next

  DConf-0.38.0 / DConf-Editor-3.38.2

- Up
- Home

# GSound-1.0.2

## Introduction to GSound

The gsound package contains a small library for playing system sounds.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gsound/1.0/gsound-1.0.2.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gsound/1.0/gsound-1.0.2.tar.xz

- Download MD5 sum: c26fd21c21b9ef6533a202a73fab21db

- Download size: 276 KB

- Estimated disk space required: 2.5 MB

- Estimated build time: less than 0.1 SBU

### gsound Dependencies

#### Recommended

gobject-introspection-1.66.1 and Vala-0.50.3

#### Optional

GTK-Doc-1.33.2 (for generating documentation)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gsound

## Installation of GSound

Install gsound by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: gsound-play
Installed Libraries: libgsound.so
Installed Directories: /usr/share/gtk-doc/html/gsound

### Short Descriptions

gsound-play | plays system sounds through the libgsound interface
`libgsound.so` | contains API functions for playing system sounds

Last updated on 2021-02-24 18:50:56 -0800

- Prev

  Tracker-miners-3.0.4

- Next

  DConf-0.38.0 / DConf-Editor-3.38.2

- Up
- Home